Project

General

Profile

Bug #28998

Update angular deps to fix security vulnerabilities

Added by Walden Raines 8 months ago. Updated 7 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Web UI
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

https://github.com/Katello/katello is complaining about security vulnerabilities in our vendored js libraries:

https://github.com/Katello/katello/network/alerts

I opened a pr to try a simple update: https://github.com/Katello/katello/pull/8442 but the angular tests failed. We should investigate the failures and try to fix them

History

#1 Updated by The Foreman Bot 8 months ago

  • Status changed from New to Ready For Testing
  • Pull request https://github.com/Katello/katello/pull/8565 added

#2 Updated by Samir Jha 8 months ago

  • Triaged changed from No to Yes
  • Target version set to Katello 3.16.0

#3 Updated by Walden Raines 7 months ago

  • Status changed from Ready For Testing to Closed

This has been merged.

Also available in: Atom PDF